#include <cstdio>

unsigned long spoji(unsigned long a, unsigned long b)
{
    long deseta = 10, desetb = 10, brCifa=1, brCifb=1;
    unsigned long pra, prb, spoj1, spoj2, spojenBroj;
    pra = a;
    prb = b;

    while(pra>9)
    {
        brCifa++;
        pra/=10;
    }

    while(prb>9)
    {
        brCifb++;
        prb/=10;
    }

    for(int i=1; i<brCifa; i++)
        deseta*=10;
    for(int k=1; k<brCifb; k++)
        desetb*=10;

    spoj1=b*deseta+a;
    spoj2=a*desetb+b;

    if(spoj1>spoj2)
        spojenBroj = spoj1;
    else
        spojenBroj = spoj2;

    //printf("SPojen broj je: %ld \n",spojenBroj);
    return spojenBroj;
}
int main()
{
    unsigned long a,b,c, najveci;
    scanf("%ld %ld %ld", &a, &b, &c);

    najveci = spoji(spoji(a,b),c);
    //printf("Najveci je: %ld \n", najveci);
    if(spoji(spoji(a,c),b)>najveci);
        najveci=spoji(spoji(a,c),b);
    //printf("Najveci je: %ld \n", najveci);
    //if(spoji(spoji(b,a),c)>najveci);
      //  najveci=spoji(spoji(b,a),c);

    /*if(spoji(spoji(b,c),a)>najveci);
        najveci=spoji(spoji(b,c),a);*/
   // printf("Najveci je: %ld \n", najveci);
    if(spoji(spoji(a,c),b)>najveci);
        najveci=spoji(spoji(a,c),b);
    //printf("Najveci je: %ld \n", najveci);
    if(spoji(spoji(b,c),a)>najveci);
        najveci=spoji(spoji(b,c),a);
    //printf("Najveci je: %ld \n", najveci);
    printf("%ld",najveci);
    return 0;
}